Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » reader for old archive locations.
reader for old archive locations. [message #976427] Thu, 08 November 2012 15:24 Go to next message
Christophe Bouhier is currently offline Christophe Bouhier
Messages: 937
Registered: July 2009
Senior Member
Hi,

Id like to resolve from a location like this:
http://archive.eclipse.org/modeling/m2t/xpand/downloads/drops/1.1.0/R201106070515/

The bundles are zipped in the URL and inside they are eclipse.import structure.
So, I would need a combination of a URL and eclipse import reader. Is this a standard pattern I can reuse?

Thanks!
Christophe
Re: reader for old archive locations. [message #976437 is a reply to message #976427] Thu, 08 November 2012 15:33 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Are you tried to use the zipped p2 update site directly http://archive.eclipse.org/modeling/m2t/xpand/downloads/drops/1.1.0/R201106070515/m2t-xpand-Update-1.1.0.zip
readerType="p2" ?


Re: reader for old archive locations. [message #976444 is a reply to message #976437] Thu, 08 November 2012 15:39 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

I've unzipped the repository for you under:
http://archive.eclipse.org/modeling/m2t/xpand/downloads/drops/1.1.0/R201106070515/repository

So you can use p2 reader with http://archive.eclipse.org/modeling/m2t/xpand/downloads/drops/1.1.0/R201106070515/repository


The p2 reader is new in Buckminster 3.6, this functionality was
previously provided by the eclipse.import reader.


Re: reader for old archive locations. [message #976449 is a reply to message #976437] Thu, 08 November 2012 15:40 Go to previous messageGo to next message
Christophe Bouhier is currently offline Christophe Bouhier
Messages: 937
Registered: July 2009
Senior Member
Just tried it, no luck (See how bucky append a slash at the end of the URI)

ERROR No repository found at http://archive.eclipse.org/modeling/m2t/xpand/downloads/drops/1.1.0/R201106070515/m2t-xpand-runtime-1.1.0.zip/.
Re: reader for old archive locations. [message #976450 is a reply to message #976449] Thu, 08 November 2012 15:41 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Wrong zip file
m2t-xpand-Update-1.1.0.zip is the right one


Re: reader for old archive locations. [message #976462 is a reply to message #976444] Thu, 08 November 2012 15:50 Go to previous messageGo to next message
Christophe Bouhier is currently offline Christophe Bouhier
Messages: 937
Registered: July 2009
Senior Member
Ah ok, many thanks! this works.
I actually have a similar requirements for xtend and mwe. It's hard to even find an archive location for these. Any ideas?
Cheers Christophe

Re: reader for old archive locations. [message #976469 is a reply to message #976462] Thu, 08 November 2012 15:55 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Xpand and Xtend (old) are in the same location
MWE is here
http://www.eclipse.org/modeling/emft/downloads/?project=mwe

Maybe you can say what do you try to build? Which Xtext version is required?


Re: reader for old archive locations. [message #976491 is a reply to message #976469] Thu, 08 November 2012 16:16 Go to previous message
Christophe Bouhier is currently offline Christophe Bouhier
Messages: 937
Registered: July 2009
Senior Member
The application, I work on uses these old versions to export EMF models as HTML. (So M2T).
I also use xtext, but this is unrelated to the need for old xtend, xpand and mwe.
Thanks for your help! rgds Christophe
Previous Topic:google.collect / google.guava
Next Topic:invoking Buckminster from an ant script
Goto Forum:
  


Current Time: Sat Oct 25 04:23:46 GMT 2014

Powered by FUDForum. Page generated in 0.06838 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software